summaryrefslogtreecommitdiff
path: root/source4/script/build_idl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/build_idl.sh')
-rwxr-xr-xsource4/script/build_idl.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index cb81e4de74..1eef5644e8 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -2,12 +2,15 @@
FULLBUILD=$1
+[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
+[ -d librpc/gen_rpc ] || mkdir -p librpc/gen_rpc || exit 1
+
for f in librpc/idl/*.idl; do
base=`basename $f .idl`
- ndr=librpc/ndr/ndr_$base
+ ndr=librpc/gen_ndr/ndr_$base
if [ x$FULLBUILD = xFULL -o "$f" -nt $ndr.c ]; then
echo Processing $f
- pidl.pl --output $ndr --parse --header --parser --client librpc/rpc/rpc_$base.c $f || exit 1
+ pidl.pl --output $ndr --parse --header --parser --client librpc/gen_rpc/rpc_$base.c $f || exit 1
fi
done